[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# RaiseGDBException (deprecated)

Deprecated. Use LazTracer.RaiseGDBException instead.

## Declaration

Source position: lclproc.pas line 142

`procedure RaiseGDBException(`
`const Msg: string`
`);`

## Arguments

`Msg` |  | Message for the catchable exception.

## Description

Raises a catchable exception.

Normally, GDB does not catch FPC Exception objects. This procedure raises a standard divide by zero exception which is caught by GDB.

Calls the RaiseGDBException routine in LazTracer.

## Version info

Deprecated in LCL version 3.99 (Apr 2024).

## See also

LazTracer.RaiseGDBException